import { Component } from '@angular/core';
import { ModalController } from '@ionic/angular';
import { TaskModalComponent } from '../shared/task-modal/task-modal.component';
import { DataService } from '../services/data.service';
import { TaskCardComponent } from '../shared/task-card/task-card.component';
import { IonHeader, IonToolbar, IonTitle, IonContent, IonFab, IonFabButton, IonIcon,IonButton,IonButtons } from '@ionic/angular/standalone';

@Component({
  selector: 'app-tab1',
  templateUrl: './tab1.page.html',
  styleUrls: ['./tab1.page.scss'],
  standalone: true,
  imports: [IonHeader, IonToolbar, IonTitle, IonContent, IonFab, IonFabButton, IonIcon, TaskCardComponent, IonButtons, IonButton]
})
export class Tab1Page {
  currentDate: string;
  cards: any[] = [];

  constructor(private dataService: DataService, private modalCtrl: ModalController) {
    this.currentDate = new Date().toLocaleDateString();
  }

  handleCardAction(cardId: string) {
    this.dataService.removeCard(cardId);
  }

  openTaskModal() {
    const newCard = {
      id: Date.now().toString(),
      title: '新任务',
      tags: [],
      dueTime: new Date().toLocaleTimeString([], { hour: '2-digit', minute: '2-digit' })
    };
    this.cards.push(newCard);
  }

  ngOnInit() {
this.dataService.currentCards.subscribe(cards => this.cards = cards);
  }
}
